Bug 503590 - Review Request: python-tgext-admin - Admin Controller add-on for basic TG identity model
Review Request: python-tgext-admin - Admin Controller add-on for basic TG ide...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brennan Ashton
Fedora Extras Quality Assurance
:
Depends On: 503586
Blocks: 503591
  Show dependency treegraph
 
Reported: 2009-06-01 15:39 EDT by Luke Macken
Modified: 2016-09-19 22:39 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.2.5-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-29 17:59:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bashton: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2009-06-01 15:39:14 EDT
Spec URL: http://lmacken.fedorapeople.org/rpms/python-tgext-crud.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-tgext-crud-0.2.4-1.fc10.src.rpm
Description: Admin Controller add-on for basic TG identity model
Comment 1 Luke Macken 2009-06-01 15:39:45 EDT
Sorry, wrong links:

Spec URL: http://lmacken.fedorapeople.org/rpms/python-tgext-admin.spec
SRPM URL:
http://lmacken.fedorapeople.org/rpms/python-tgext-admin-0.2.4-1.fc10.src.rpm
Description: Admin Controller add-on for basic TG identity model
Comment 2 Parag AN(पराग) 2009-06-03 00:32:56 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1390409
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
2037e3faf46e2c1077eae8b78dc1157b4ad97b6a  tgext.admin-0.2.4.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.

1) where can I find python-tgext-crud? I can't install this on F-10.
2) you should change %define to %global
Comment 3 Parag AN(पराग) 2009-06-03 00:36:24 EDT
sorry rpmlint output is not silent
python-tgext-admin.noarch: E: zero-length /usr/lib/python2.6/site-packages/tgext/admin/test/lib/helpers.py
python-tgext-admin.noarch: E: zero-length /usr/lib/python2.6/site-packages/tgext/admin/test/lib/base.py
Comment 4 Parag AN(पराग) 2009-06-08 00:10:21 EDT
ping?
Comment 5 Parag AN(पराग) 2009-06-24 04:23:17 EDT
ping?
Comment 6 Luke Macken 2009-06-27 17:52:01 EDT
http://lmacken.fedorapeople.org/rpms/python-tgext-admin-0.2.4-2.fc10.src.rpm
http://lmacken.fedorapeople.org/rpms/python-tgext-admin.spec

* Sat Jun 27 2009 Luke Macken <lmacken@redhat.com> - 0.2.4-2
- Change %%define to %%global
- Don't package the test suite
Comment 7 Parag AN(पराग) 2009-06-30 05:06:12 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=1443362

looks ok but where can I find python-tgext-crud?
Comment 8 Parag AN(पराग) 2009-07-06 09:08:31 EDT
ping?
Comment 9 Luke Macken 2009-07-21 17:23:10 EDT
The python-tgext-crud can be found in Bug #503586
Comment 10 Brennan Ashton 2009-07-26 14:38:24 EDT
I am not sure why Parag dropped this, but it looks good to me. I confirm the changes fix the issues noted, and APPROVE. Go ahead with CVS request.
Comment 11 Luke Macken 2009-07-30 21:17:16 EDT
New Package CVS Request
======================
Package Name: python-tgext-admin
Short Description: Admin Controller add-on for basic TG identity model
Owners: lmacken
Branches: F-10 F-11 EL-5
Comment 12 Jason Tibbitts 2009-07-31 17:13:50 EDT
CVS done.
Comment 13 Fedora Update System 2009-08-04 15:38:08 EDT
python-tgext-admin-0.2.5-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python-tgext-admin-0.2.5-1.el5
Comment 14 Fedora Update System 2009-08-04 15:38:13 EDT
python-tgext-admin-0.2.5-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/python-tgext-admin-0.2.5-1.fc10
Comment 15 Fedora Update System 2009-08-04 15:38:18 EDT
python-tgext-admin-0.2.5-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-tgext-admin-0.2.5-1.fc11
Comment 16 Fedora Update System 2009-08-04 23:22:32 EDT
python-tgext-admin-0.2.5-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-tgext-admin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0190
Comment 17 Fedora Update System 2009-08-07 00:55:45 EDT
python-tgext-admin-0.2.5-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-tgext-admin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8315
Comment 18 Fedora Update System 2009-08-07 01:01:08 EDT
python-tgext-admin-0.2.5-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-tgext-admin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8335
Comment 19 Fedora Update System 2009-09-29 17:59:47 EDT
python-tgext-admin-0.2.5-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2009-09-29 21:34:37 EDT
python-tgext-admin-0.2.5-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2009-09-29 21:35:20 EDT
python-tgext-admin-0.2.5-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.